Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrShape Class Reference

A PangoAttrShape C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrShape:

List of all members.

## Public Member Functions

Constructors

- AttrShape (const Rectangle &ink_rect, const Rectangle &logical_rect)
    Construct a new shape attribute.

Accessors

- PangoAttrShape * pango_attr_shape () const
    Get a pointer to the PangoAttrShape structure.
- const Rectangle & ink_rect () const
    Returns the ink rectangle.
- const Rectangle & logical_rect () const
    Returns the logical rectangle.

Methods

- void set_rects (const Rectangle &ink_rect, const Rectangle &logical_rect)
    Sets the ink and logical rectangles.
- void set_ink_rect (const Rectangle &rect)
    Sets the ink rectangle.
- void set_ink_rect (int x, int y, int width, int height)
    Sets the ink rectangle.
- void set_logical_rect (const Rectangle &rect)
    Sets the logical rectangle.
- void set_logical_rect (int x, int y, int width, int height)
    Sets the logical rectangle.

## Detailed Description

A PangoAttrShape C++ wrapper class.

AttrShape wraps the shape attribute (ATTR_SHAPE).

## Constructor & Destructor Documentation

Inti::Pango::AttrShape::AttrShape | ( | const Rectangle & | ink_rect,
|  | const Rectangle & | logical_rect
| ) |

  | Construct a new shape attribute. Parameters:
  ink_rect | The ink rectangle to assign to each character.
  logical_rect | The logical rectangle assign to each character.
A shape is used to impose a particular ink and logical rect on the result of shaping a particular glyph. This might be used, for instance, for embedding a picture or a widget inside a Pango::Layout.

## Member Function Documentation

void Inti::Pango::AttrShape::set_ink_rect | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

  | Sets the ink rectangle. Parameters:
  x | The X coordinate of the upper-left corner of the ink rectangle.
  y | The Y coordinate of the upper-left corner of the ink rectangle.
  width | The width of the ink rectangle.
  height | The height of the ink rectangle.

void Inti::Pango::AttrShape::set_ink_rect | ( | const Rectangle & | rect | ) |

  | Sets the ink rectangle. Parameters:
  rect | The ink rectangle.

void Inti::Pango::AttrShape::set_logical_rect | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

  | Sets the logical rectangle. Parameters:
  x | The X coordinate of the upper-left corner of the logical rectangle.
  y | The Y coordinate of the upper-left corner of the logical rectangle.
  width | The width of the logical rectangle.
  height | The height of the logical rectangle.

void Inti::Pango::AttrShape::set_logical_rect | ( | const Rectangle & | rect | ) |

  | Sets the logical rectangle. Parameters:
  rect | The logical rectangle.

void Inti::Pango::AttrShape::set_rects | ( | const Rectangle & | ink_rect,
|  | const Rectangle & | logical_rect
| ) |

  | Sets the ink and logical rectangles. Parameters:
  ink_rect | The ink rectangle.
  logical_rect | The logical rectangle.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer